Jack::JackEngine Class Reference

Engine description. More...

`#include <JackEngine.h>`

Inheritance diagram for Jack::JackEngine:

## Public Member Functions

| JackEngine (JackGraphManager *manager, JackSynchro *table, JackEngineControl *controler, char self_connect_mode)
int | Open ()
int | Close ()
int | ClientCheck (const char *name, int uuid, char *name_res, int protocol, int options, int *status)
int | ClientExternalOpen (const char *name, int pid, int uuid, int *ref, int *shared_engine, int *shared_client, int *shared_graph_manager)
int | ClientInternalOpen (const char *name, int *ref, JackEngineControl **shared_engine, JackGraphManager **shared_manager, JackClientInterface *client, bool wait)
int | ClientExternalClose (int refnum)
int | ClientInternalClose (int refnum, bool wait)
int | ClientActivate (int refnum, bool is_real_time)
int | ClientDeactivate (int refnum)
void | ClientKill (int refnum)
int | GetClientPID (const char *name)
int | GetClientRefNum (const char *name)
int | GetInternalClientName (int int_ref, char *name_res)
int | InternalClientHandle (const char *client_name, int *status, int *int_ref)
int | InternalClientUnload (int refnum, int *status)
int | PortRegister (int refnum, const char *name, const char *type, unsigned int flags, unsigned int buffer_size, jack_port_id_t *port)
int | PortUnRegister (int refnum, jack_port_id_t port)
int | PortConnect (int refnum, const char *src, const char *dst)
int | PortDisconnect (int refnum, const char *src, const char *dst)
int | PortConnect (int refnum, jack_port_id_t src, jack_port_id_t dst)
int | PortDisconnect (int refnum, jack_port_id_t src, jack_port_id_t dst)
int | PortRename (int refnum, jack_port_id_t port, const char *name)
int | ComputeTotalLatencies ()
bool | Process (jack_time_t cur_cycle_begin, jack_time_t prev_cycle_end)
void | NotifyDriverXRun ()
void | NotifyClientXRun (int refnum)
void | NotifyFailure (int code, const char *reason)
void | NotifyGraphReorder ()
void | NotifyBufferSize (jack_nframes_t buffer_size)
void | NotifySampleRate (jack_nframes_t sample_rate)
void | NotifyFreewheel (bool onoff)
void | NotifyQuit ()
void | SessionNotify (int refnum, const char *target, jack_session_event_type_t type, const char *path, detail::JackChannelTransactionInterface *socket, JackSessionNotifyResult **result)
int | SessionReply (int refnum)
int | GetUUIDForClientName (const char *client_name, char *uuid_res)
int | GetClientNameForUUID (const char *uuid, char *name_res)
int | ReserveClientName (const char *name, const char *uuid)
int | ClientHasSessionCallback (const char *name)
Public Member Functions inherited from Jack::JackLockAble
bool | Lock ()
bool | Trylock ()
bool | Unlock ()

## Friends

class | JackLockedEngine

## Additional Inherited Members

Protected Member Functions inherited from Jack::JackLockAble
| JackLockAble (const char *name=NULL)
Protected Attributes inherited from Jack::JackLockAble
JackMutex | fMutex

## Detailed Description

Engine description.

Definition at line 44 of file JackEngine.h.

The documentation for this class was generated from the following files:

- JackEngine.h
- JackEngine.cpp